import type { SpeechRecognition, SpeechRecognitionEvent, SpeechRecognitionStartOptions, SpeechRecognitionState } from '../types/SpeechRecognition';
/**
 * Speech recognition using Web Speech API `SpeechRecognition` available in modern browsers
 *
 * @public exported from `@promptbook/browser`
 */
export declare class BrowserSpeechRecognition implements SpeechRecognition {
    private recognition;
    private callbacks;
    private _state;
    get state(): SpeechRecognitionState;
    constructor();
    $start(options?: SpeechRecognitionStartOptions): void;
    $stop(): void;
    subscribe(callback: (event: SpeechRecognitionEvent) => void): () => void;
    private emit;
}
/**
 * TODO: !!!! Search ACRY for `window` and put -> [🔵]
 * Note: [🔵] Code in this file should never be published outside of `@promptbook/browser`
 */
